/*
   dup - check for duplicate code points in unifont.hex composite file.


   Author: Paul Hardy, December 2007
*/

#include <stdio.h>

#define MAXBUF 256


main () {

   int ix, iy;
   char inbuf[MAXBUF];

   ix = -1;

   while (fgets(inbuf, MAXBUF-1, stdin) != NULL) {
      sscanf(inbuf, "%X", &iy);
      if (ix == iy) fprintf(stderr, "Duplicate code point: %04X\n", ix);
      else ix = iy;
   }
}
